Bug 124240 - Untranslated strings for Table of Contents, Index, Bibliography, etc.
Summary: Untranslated strings for Table of Contents, Index, Bibliography, etc.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
6.2.2.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-21 13:11 UTC by milupo
Modified: 2019-05-06 21:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description milupo 2019-03-21 13:11:55 UTC
Hi,

there are untranslated strings in LibreOffice Writer 6.2.2.2. Go to

Insert --> Table of Contents and Index --> Table of Contents, Index or Bibliography... --> Type --> Type

Dropdown items Table of Contents, Alphabetical Index, Table of Figures, Index of Tables, User-Defined, Table of Objects, Bibliography remain in English  in other language versions of LO.

Tested with German, Lower Sorbian, Upper Sorbian, and Czech.


Expected:

Strings should be translated.
Comment 1 Xisco Faulí 2019-03-21 16:27:18 UTC
Reproduced in

Versión: 6.2.2.1
Id. de compilación: fcd633fb1bf21b0a99c9acb3ad6e526437947b01
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded
Comment 2 Julien Nabet 2019-03-23 13:15:02 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
I'll give it a try with:
https://gerrit.libreoffice.org/#/c/69585/
If it's ok, it means it should be translated in the different languages so I suppose we won't be able to cherry-pick it on 6.2 branch.
Comment 3 Commit Notification 2019-03-24 20:12:00 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1971c61ac750e76f33869c323a9e8abe8201cd99%5E%21

tdf#124240: make type in TOC translatable

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2019-03-25 08:02:01 UTC
Xisco: any thoughts about 6.2 branch?
Comment 5 Commit Notification 2019-04-23 00:40:25 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/9a5e5c581eaf86ce0bbf293da40ba18c72fba1bd%5E%21

tdf#124240: make type in TOC translatable

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 milupo 2019-05-06 21:56:01 UTC
Hi,

I've just downloaded version 6.2.4.1 - the bug is fixed there.

Thank you very much for your work.
Comment 7 Xisco Faulí 2019-05-06 21:57:59 UTC
(In reply to milupo from comment #6)
> Hi,
> 
> I've just downloaded version 6.2.4.1 - the bug is fixed there.
> 
> Thank you very much for your work.

Thanks for checking. Setting to VERIFIED